Get the project annotation schema
GET
/v1/projects/{projectId}/annotation-schemacurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-schema' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
响应
Success
- dataobject必填
- versionnumber必填可选值1
- languagesarray<string>必填
- fieldsobject必填
- subtaskLabelsarray<object>必填
- attributesarray<object>必填
- requireReviewone of必填
- allowEpisodeOverlapone of必填
- taskListarray<object>必填
响应示例
{
"data": {
"version": 1,
"languages": "en",
"fields": {
"task": {
"enabled": false
},
"outcome": {
"enabled": false
},
"subtasks": {
"enabled": false
},
"subtaskOutcome": {
"enabled": false
},
"relevance": {
"enabled": false
},
"keyframeBoxes": {
"enabled": false
}
},
"subtaskLabels": [
{
"en": "string",
"zh": "string"
}
],
"attributes": [
{
"key": "string",
"type": "number",
"options": [
"string"
]
}
],
"requireReview": false,
"allowEpisodeOverlap": false,
"taskList": [
{
"en": "string",
"zh": "string"
}
]
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1